<a name="menu">目录</a>
1. [文献字典](#docdic)
1. [报告上传](#save)
1. [报告列表](#page)

## **<a name="docdic"> 文献字典</a>**
[返回到目录](#menu)
##### URL
[/web/report/patentanalysisCtl/docdic]
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`

``` javascript
    {
    }
```

#### 返回结果
```javascript

    {
        "status": 0,
        "msg": "success",
        "data": [
            {
                "id": "100000",
                "name": "德温特专利数据库"
            }
        ]
    }

```


## **<a name="save"> 报告上传</a>**
[返回到目录](#menu)
##### URL
[/web/report/patentanalysisCtl/save]
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`

``` javascript

    {
        "technology_name": "这是名字",          // 技术名称
        "data_file": "这是文件地址",            // 文件地址
        "topic_name": "topic_name",            // 课题名称
        "topic_doc_id": "100000",              // 文献id
        "search_time": "1992-01",              // 课题时间 年-月
        "topic_overview": "topic_overview"     // 发展概况
    }

```

#### 返回结果
```javascript

    {
        "status": 0,
        "msg": "success",
        "data": null
    }

```


## **<a name="page"> 报告列表</a>**
[返回到目录](#menu)
##### URL
[/web/report/patentanalysisCtl/page]
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`

``` javascript

    {
        "currentPage": "2",
        "pageSize": "2"
    }
```

#### 返回结果
```javascript
    {
        "status": 0,
        "msg": "success",
        "data": {
            "count": 5,
            "rows": [
                {
                    "id": 3,                                // 报告id
                    "technology_name": "这是名字",          // 技术名称
                    "data_file": "这是文件地址",            // 文件名称
                    "topic_name": "topic_name",            // 课题名称
                    "topic_doc_id": "100000",              // 文献id
                    "search_time": "1992-01",              // 课题时间 年-月
                    "topic_overview": "topic_overview"     // 发展概况
                    "report_time": null,                   // 生成报告时间
                    "report_file": null,                   // 报告文件
                    "created_at": "2020-05-23 08:54:10",   // 提交时间
                    "status_name": "报告生成中..."          // 报告状态名称
                    "status": 1,                           // 报告状态 1生成中 2已生成
                },
            ]
        }
    }
```
